import { ApolloLink } from 'apollo-link';
import { GraphQLSchema } from 'graphql';
import { Service, ServiceBroker, ServiceSchema } from 'moleculer';
export interface SchemaBuilderContext {
    broker: ServiceBroker;
    service: Service | ServiceSchema;
    link?: ApolloLink;
}
export interface CreateRemoteSchemaOptions {
    broker: ServiceBroker;
    service: Service | ServiceSchema;
    schemaBuilder?: (context: SchemaBuilderContext) => Promise<GraphQLSchema>;
}
export declare function createRemoteSchema(options: CreateRemoteSchemaOptions): Promise<GraphQLSchema>;
